Subject: bug#7823: Rm -f fails on non-existant file

From: "Nadav Har'El" <[email-masked]>
Date: Tue, 11 Jan 2011 17:12:34 +0200

On Tue, Jan 11, 2011, Eric Blake wrote about "Re: bug#7823: Rm -f fails on non-existant file":
> Feel free to file a bug report to the smbfs people.  POSIX does not
> specify EINVAL (except for bad flags to unlinkat), but does have a
> global clause that states that any errno not specifically listed may be
> returned if it is a better fit than any mandated error.  On the other
> hand, the next version of POSIX will be mandating that the case of an
> unsupported byte in a filename ('*' in the case of smbfs) shall fail
> with EILSEQ, not EINVAL (that is, if they don't return the equally valid
> ENOENT failure).  See http://austingroupbugs.net/view.php?id=293, for
> justification why smbfs ought to change their errno value away from EINVAL.

Thanks, I'll look at how to send them a bug report as well.

> Yes, since POSIX doesn't specify EINVAL for any other situation, I see
> no harm in globally exempting it (with a comment why) in our source
> code; likewise, I see no problem in also adding EILSEQ to that list,
> whether or not smbfs also fixes their bug.
> 
> Is it okay if I push this patch in your name?

Yes, looks good. Thanks.

Nadav.

-- 
Nadav Har'El                        |      Tuesday, Jan 11 2011, 6 Shevat 5771
[email-masked]             |-----------------------------------------
Phone +972-523-790466, ICQ 13349191 |"A mathematician is a device for turning
http://nadav.harel.org.il           |coffee into theorems" -- P. Erdos